<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img class='bullet' src='".THEME."images/bullet.gif' alt='bullet.gif' border='0'/>");
define("THEME_WIDTH", "100%");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<div style='background-color:#BABEC7;height:3px;'></div>";
	echo "<table cellspacing='0' cellpadding='0' id='main' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/1.png' alt='1.png' class='spacer' /></td>";
	echo "<td class='sidess' style='width:100%;'>\n".showbanners()."</td>";
	echo "<td align='right'><img src='".THEME."/images/2.png' alt='2.png' class='spacer' /></td>";
	echo "</tr>";
	echo "</table>\n";

	echo "<center><table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header' align='center'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n</table></center>\n";

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='body-left'></td>";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "<td class='body-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";

	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='footer-left'></td>\n";
	echo "<td align='center' class='footer'>".stripslashes($settings['footer'])."</td>";
	echo "<td class='footer-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='bottom-footer-left'></td>";
	echo "<td align='left' style='padding-left:10px;' class='bottom-footer'>Theme <b>Apollo_Blue</b><br />Original design by <a href='http://www.destinedesigns.com' target='blank'>Destine Designs</a><br />Modification made by <a href='http://php-fusion.openworld.dk' target='blank'>Harly</a></td>";
	echo "<td align='center' style='padding-right:45px;' class='bottom-footer'>".showcopyright()."</td>";
	echo "<td align='right' style='padding-right:10px;' class='bottom-footer'>".showcounter()."</td>\n";
	echo "<td class='bottom-footer-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div style='background-color:#BABEC7;height:3px;'></div>";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr>";
	echo "<td class='border-left'></td>";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "<td class='border-right'></td>";
	echo "</tr>\n<tr>\n";
	echo "<td class='border-left'></td>";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "<td class='border-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' alt='sideb-left.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' width='100%'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_article($subject, $article, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='border-left'></td>";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "<td class='border-right'></td>";
	echo "</tr>\n<tr>\n";
	echo "<td class='border-left'></td>";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n";
	echo "<td class='border-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' alt='sideb-leftt.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' style='width:100%;'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}

function opentable($title, $collapse = false, $state = "on") {
global $panel_collapse; $panel_collapse = $collapse;
$boxname = str_replace(" ", "", $title);
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td align='center' class='capmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='capmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='border-left'></td>";
	echo "<td colspan='2' class='main-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closetable() {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td class='border-right'></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' alt='sideb-left.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' style='width:100%;'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}

function openside($title, $collapse = false, $state = "on") {
global $panel_collapse; $panel_collapse = $collapse;
$boxname = str_replace(" ", "", $title);
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td align='center' class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='border-left'></td>";
	echo "<td colspan='2' class='side-body'>";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td class='border-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' alt='sideb-left.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' style='width:100%;'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n";
	echo "</table>\n";

}